

clear
ztree2stata withinchat using lecture7.xls

collapse contributeA contributeB, by(period)
gen totalcont1 = contributeA + contributeB + 0.1
gen totalcont2 = contributeA + contributeB - 0.1
twoway (line contributeB period, sort lcolor(edkblue) lwidth(thick)) (line contributeA period, sort lcolor(edkblue) lwidth(thick) lpattern(longdash)) (rarea totalcont1 totalcont2 period, sort fcolor(white) lcolor(edkblue) lwidth(medium)), ytitle(Mean contribution) ytitle(, size(large)) yscale(noline) ylabel(0(2)20, labsize(medium) angle(horizontal) format(%9.0f) nogrid) xtitle(Period) xtitle(, size(large)) xscale(noline) xline(1 4 7, lwidth(thin) lpattern(dash) lcolor(gs8)) xlabel(1(1)9, labsize(medium)) legend(off) name(withinchat, replace) graphregion(fcolor(white) lcolor(white)) plotregion(lcolor(black))
graph export withinchat.pdf, as(pdf) replace

